A website is made up of the primary navigational pages that create the primary menu, as well as hidden pages and member only pages. Pages can contain pages in a treelike structure, however, this excludes sub pages which are defined as blogs or products
https://api.cms-tool.net/webapps/api/page
| Name | Description | Example | Datatype |
| id |
If ID is specified, then only a single element is returned if found. Otherwise, an array is returned, even if only one item matches. |
id=123 | int |
| keywords | Site Search Keywords. These keywords associated to the page. | keywords="hello world" | string |
|
title |
Search the page by it's title. | title=About+Us | string |
|
menutext |
Search the page by it's menu lable text. | menutext=About+Us | string |
| filename |
SEO filename of blog, if prefixed with / then is published, otherwise, is dynamic/securable content. |
filename=aboutus.html | string |
| allFields |
Retrieve all HTML fields as well, which may create a large payload |
allFields=true | boolean |
|
publicContentOnly |
Only retrieve public accessable content |
publicContentOnly=true | boolean |
| orderBy | Sort the orders based on date created, title, date updated. |
orderby=created orderby=title orderby=updated |
string |
| orderDirection |
Sort results in descending order. Default is ascending order |
orderDirection = reverse For descending order |
string |
| Key | Definition | Type | Format |
| page |
page
System ID for page, unique
|
Integer (Unique ID)
|
|
| cid |
cid
System ID for website
|
int
|
|
| page_accesskey |
accesskey
For usability define a key for fast access via the menu
|
char
|
|
| page_addmembergroupname |
add member to group
Add any new members to this member group
|
text
|
|
| page_addressautocomplete |
address auto complete
Enable auto complete of any address fields
|
text
|
|
| page_alias |
Filename Alias
SEO filename for page URL
|
text
|
|
| page_alttemplate |
Alt template
A different web design template can be used with this page, specified by a single letter A-F
|
char
|
|
| page_alturl |
Alt URL
An alternative link to be used rather than the default system URL for this content
|
text
|
|
| page_alturlsub |
Alt URL for Subpage
An alternative link URL to be used for sub page content, such as list content.
|
text
|
|
| page_banner |
banner Image
File path / src to the image that should be used as the banner image on this page.
|
text
|
|
| page_banner_title |
banner title
If this page has a banner, then this title will be used for the banner
|
text
|
|
| page_banner_url |
banner url
If this page has a banner, and this URL exists, then the banner will link to this URL
|
text
|
|
| page_bg |
Background Image
A custom background image for this page
|
text
|
|
| pagecheckreferrals |
check referrals
LEGACY
|
char
|
|
| page_crop_aspect |
crop aspect large
Additional aspect rule to apply to cropping of the full sized images
|
bool
|
true/false |
| page_crop_aspect_thumbs |
crop aspect thumbs
Additional rules to apply to thumbnail generation
|
bool
|
true/false |
| page_crop_height |
crop height
Any images uploaded to this page will be cropped to this maximum height.
|
int
|
|
| page_crop_width |
crop width
Any images uploaded to this page will be cropped to this maximum width.
|
int
|
|
| page_css |
CSS Style
Custom CSS to be used only on this page
|
text
|
|
| page_deletedon |
Deleted Timestamp
Timestamp this page was deleted... Allows some time for hard deletion or recovery
|
timestamp
|
|
| page_dt_begin |
Date created
Automatic timestamp when this page was created
|
timestamp
|
|
| page_duplicationid |
Duplication ID
If this page was duplicated from another, then this ID is the original page ID
|
int
|
|
| page_encrypt |
encrypt
LEGACY
|
int
|
|
| page_enquiryformfooter |
enquiryformfooter
If this page should have an enquiry form added to the footer then a single char value of 1
|
char
|
|
| page_enquiryform_heading |
enquiryform heading
If this page has an enquiry form then use this title rather than the default title
|
text
|
|
| page_enquiryformsubfooter |
enquiryformsubfooter
If sub pages should have an enquiry form added to the footer then a single char value of 1
|
char
|
|
| page_expires |
expires
LEGACY
|
int
|
|
| page_forum_service |
forum service
If a comments / forum should be added where applicable to this page, or sub pages.
|
text
|
|
| page_html_content |
html content
HTML formatted content for the main body of the page and often empy for pages that have special functionality depending on the wgt_id
|
text
|
|
| page_html_footer |
html footer
HTML formatted content for the page footer
|
text
|
|
| page_html_intro |
html intro
HTML formatted content for the page introduction
|
text
|
|
| page_html_scripts |
html scripts
Scripts and other code to be placed on this page, but separated from the content
|
text
|
|
| page_html_zone2 |
html zone2
A secondary content area, not often used anymore, and very template specific
|
text
|
|
| page_infoimagealign |
infoimagealign
LEGACY
|
text
|
|
| page_issubmenu |
issubmenu
0 or 1 if a sub menu.
|
int
|
|
| page_json_config |
json config
Additional configuration parameters for this page
|
text
|
|
| page_json_schema |
json schema
Customised JSON schema for this page, for users who want more control that the default
|
text
|
|
| page_keywords |
SEO Keywords
SEO keywords
|
text
|
|
| page_lastmodified |
Last modified
Timestamp when this page was last modified
|
timestamp
|
|
| page_membermenu |
Member menu
LEGACY
|
int
|
|
| page_menuimg |
Menu Image
Replace the menu button text with an image (old school)
|
text
|
|
| page_menuname |
Menu Button Text
Menu button text
|
text
|
|
| page_metatitle |
SEO meta title
SEO Title
|
text
|
|
| page_mlistoption |
mlistoption
LEGACY
|
text
|
|
| page_more_info_label |
More info label
Link text for a link that will take user to a sub page, if not provided, then more links won't be made. Generally lists will present a clickable title for products or blogs, and more links look ugly
|
text
|
|
| page_notify |
Notify Email
Any email notifications from this page should be sent to this email address. validate email format.
|
text
|
|
| page_notify_subject |
Notify subject
Any email notifications should have this subject
|
text
|
|
| page_ogimage |
OG Image
Social media Image - Src pathname to file
|
text
|
|
| page_order |
Order Index
Position of this page in the menu, or in a list.
|
int
|
|
| page_order_member |
page order member
LEGACY
|
int
|
|
| page_parent |
Parent ID
ID of a parent page, or 0 if this is a top level page
|
int
|
|
| page_privacy |
Security level
Minimum security level of users who have permission to view this page. Public access if 0
|
int
|
|
| page_privacy_group |
privacy group
LEGACY
|
text
|
|
| page_privacy_groupid |
Security Group ID
The member group ID of users who have permission to view this page. Public access if 0.
|
int
|
|
| page_recapture |
recapture
If enabling google human capture, this value is t. This feature is not required as we have another non UI component to block spam that works just as well.
|
char
|
|
| page_reference_code |
reference code
Used only in limited situations, where the page needs to have a text ID
|
text
|
|
| page_replyaddress |
replyaddress
Override the website default reply email address with this address for any emails sent
|
text
|
|
| page_social_sharing |
page social sharing
If any social sharing widgets should be added to the footer of this page.
|
text
|
|
| page_sorting |
Sorting mode
Override the default sorting mode for any list on this page
|
text
|
|
| page_special |
page special
LEGACY
|
text
|
|
| page_submenu_desc |
Submenu desc
If this page is of type submenu, then this text will be the summary displayed to users
|
text
|
|
| page_submenu_img |
submenu img
If this page is of type gallery submenu, then this image will be displayed to users. Image is a src path to the file
|
text
|
|
| page_summary |
SEO Summary
SEO summary for page
|
text
|
|
| page_summary_text_length |
List summary text length
When lists include summary text, this value determines if the text to be truncated to this lenght.
|
int
|
|
| page_target |
Link Target
The link target for links in a list in the page, eg _blank
|
text
|
|
| page_thumb_dimensions |
Thumbnail dimensions
Desired dimensions for creation of thumbnails, eg 320x320
|
text
|
|
| page_titleimg |
title img
Image src pathname for an image to replace the page heading
|
text
|
|
| page_topline |
Top Line Sentence
LEGACY - Text to insert at the very top of the page
|
text
|
|
| page_usertitle |
H1 Heading
Page H1 Heading
|
text
|
|
| page_visibility |
Menu Target
Target menu, 0 = main menu, 1 = hidden and searchable, 100 member menu, 999 hidden page, 9999 blocked complelely.
|
int
|
|
| page_windowsize |
Window Paging Size
For list pages, how many items should display at a time
|
int
|
|
| wgt_id |
Widget ID
ID of the webpage content theme or page type
|
int
|
Get a specific blog by id (aka page)
GET /webapps/api/page?id=99999
GET /webapps/api/page/99999
Returns an array of blog/info objects in data
Get all pages under parent page 9999
GET /webapps/api/page?page_parent=9999
Get blogs matching a LIKE pattern
GET /webapps/api/page?filename=/section/flying%pigs
GET /webapps/api/page?keywords=
GET /webapps/api/page?title=
GET /webapps/api/page?tags=
If an ID is provided, then the page is updated. If an ID is not provided, then the page is inserted.
POST /webapps/api/page
submit the JSON data as per following format.
{
"page_usertitle": "New Blog",
"page_summary": "Hello World",
"page_html_content": "<p>Hello world</p>"
}
{
"id": 123123,
"page_usertitle": "Updated Title",
"page_summary": "Hello World Updated",
}
{"page_html_content":"<p>Hello world<\/p>",}
"page_summary":"A typical short test of functionality",
"id":123456,
"page_usertitle":"Hello World"